Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/xhtml2/core.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/xhtml2/core.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/xhtml2/core.xsl	(revision 2397)
@@ -1,779 +1,832 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns="http://www.w3.org/1999/xhtml" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:tei="http://www.tei-c.org/ns/1.0" xmlns:teix="http://www.tei-c.org/ns/Examples" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0" exclude-result-prefixes="a fo html rng tei teix teidocx" version="2.0">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-    <desc>
-      <p> TEI stylesheet dealing with elements from the core module, making
-      HTML output. </p>
-      <p>This software is dual-licensed:
+<xsl:stylesheet xmlns="http://www.w3.org/1999/xhtml"
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns:fo="http://www.w3.org/1999/XSL/Format"
+	xmlns:html="http://www.w3.org/1999/xhtml"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:teidocx="http://www.tei-c.org/ns/teidocx/1.0"
+	exclude-result-prefixes="a fo html rng tei teix teidocx" version="2.0">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p> TEI stylesheet dealing with elements from the core module, making
+				HTML output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-      <p>Author: See AUTHORS</p>
-      <p>Id: $Id: core.xsl 10058 2012-01-22 12:51:37Z rahtz $</p>
-      <p>Copyright: 2011, TEI Consortium</p>
-    </desc>
-  </doc>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>
-      <p>Process elements tei:*</p>
-      <p>
-        <p xmlns="http://www.w3.org/1999/xhtml"> anything with a head can go in the TOC </p>
-      </p>
-      <param name="forcedepth">forcedepth</param>
-    </desc>
-  </doc>
-  <xsl:template match="tei:*" mode="maketoc">
-    <xsl:param name="forcedepth"/>
-    <xsl:variable name="myName">
-      <xsl:value-of select="local-name(.)"/>
-    </xsl:variable>
-    <xsl:if test="tei:head or $autoHead='true'">
-      <xsl:variable name="Depth">
-        <xsl:choose>
-          <xsl:when test="not($forcedepth='')">
-            <xsl:value-of select="$forcedepth"/>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:value-of select="$tocDepth"/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:variable>
-      <xsl:variable name="thislevel">
-        <xsl:choose>
-          <xsl:when test="$myName = 'div'">
-            <xsl:value-of select="count(ancestor::tei:div)"/>
-          </xsl:when>
-          <xsl:when test="starts-with($myName,'div')">
-            <xsl:value-of select="number(substring-after($myName,'div')) - 1"/>
-          </xsl:when>
-          <xsl:otherwise>99</xsl:otherwise>
-        </xsl:choose>
-      </xsl:variable>
-      <xsl:variable name="pointer">
-        <xsl:apply-templates mode="generateLink" select="."/>
-      </xsl:variable>
-      <li>
-        <xsl:attribute name="class">
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
+
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: core.xsl 10058 2012-01-22 12:51:37Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			<p>Process elements tei:*</p>
+			<p>
+				<p xmlns="http://www.w3.org/1999/xhtml"> anything with a head can go in the TOC </p>
+			</p>
+			<param name="forcedepth">forcedepth</param>
+		</desc>
+	</doc>
+	<xsl:template match="tei:*" mode="maketoc">
+		<xsl:param name="forcedepth" />
+		<xsl:variable name="myName">
+			<xsl:value-of select="local-name(.)" />
+		</xsl:variable>
+		<xsl:if test="tei:head or $autoHead='true'">
+			<xsl:variable name="Depth">
+				<xsl:choose>
+					<xsl:when test="not($forcedepth='')">
+						<xsl:value-of select="$forcedepth" />
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:value-of select="$tocDepth" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:variable>
+			<xsl:variable name="thislevel">
+				<xsl:choose>
+					<xsl:when test="$myName = 'div'">
+						<xsl:value-of select="count(ancestor::tei:div)" />
+					</xsl:when>
+					<xsl:when test="starts-with($myName,'div')">
+						<xsl:value-of
+							select="number(substring-after($myName,'div')) - 1" />
+					</xsl:when>
+					<xsl:otherwise>
+						99
+					</xsl:otherwise>
+				</xsl:choose>
+			</xsl:variable>
+			<xsl:variable name="pointer">
+				<xsl:apply-templates mode="generateLink"
+					select="." />
+			</xsl:variable>
+			<li>
+				<xsl:attribute name="class">
           <xsl:text>toc</xsl:text>
-          <xsl:if test="not($autoHead='true') and not(tei:head or @n)"> headless</xsl:if>
+          <xsl:if
+					test="not($autoHead='true') and not(tei:head or @n)"> headless</xsl:if>
         </xsl:attribute>
-        <xsl:call-template name="header">
-          <xsl:with-param name="toc" select="$pointer"/>
-          <xsl:with-param name="minimal">false</xsl:with-param>
-          <xsl:with-param name="display">plain</xsl:with-param>
-        </xsl:call-template>
-        <xsl:if test="$thislevel &lt; $Depth">
-          <xsl:call-template name="continuedToc"/>
-        </xsl:if>
-      </li>
-    </xsl:if>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element ab</desc>
-  </doc>
-  <xsl:template match="tei:ab">
-    <xsl:choose>
-      <xsl:when test="ancestor::tei:head or parent::tei:title or parent::tei:stage">
-        <xsl:apply-templates/>
-        <xsl:if test="following-sibling::tei:ab">
-          <br/>
-        </xsl:if>
-      </xsl:when>
-      <xsl:when test="parent::tei:sp">
-        <div>
-          <xsl:call-template name="rendToClass">
-            <xsl:with-param name="default">spProse</xsl:with-param>
-          </xsl:call-template>
-          <xsl:apply-templates/>
-        </div>
-      </xsl:when>
-      <xsl:otherwise>
-        <div>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:apply-templates/>
-        </div>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element addrLine</desc>
-  </doc>
-  <xsl:template match="tei:addrLine">
-    <xsl:apply-templates/>
-    <br/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element address</desc>
-  </doc>
-  <xsl:template match="tei:address">
-    <address>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:apply-templates/>
-    </address>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element argument</desc>
-  </doc>
-  <xsl:template match="tei:argument">
-    <div class="argument">
-      <xsl:apply-templates/>
-    </div>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element author</desc>
-  </doc>
-  <xsl:template match="tei:author">
-    <span>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:apply-imports/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element bibl</desc>
-  </doc>
-  <xsl:template match="tei:bibl">
-    <xsl:choose>
-      <xsl:when test="parent::tei:q/parent::tei:head or parent::tei:q[@rend='inline']">
-        <span class="citbibl">
-          <xsl:apply-templates/>
-        </span>
-      </xsl:when>
-      <xsl:when test="parent::tei:cit | parent::tei:q">
-        <div class="citbibl">
-          <xsl:apply-templates/>
-        </div>
-      </xsl:when>
-      <xsl:when test="tei:blockContext(.)">
-        <div class="biblfree">
-          <xsl:apply-templates/>
-        </div>
-      </xsl:when>
-      <xsl:otherwise>
-        <span>
-          <xsl:attribute name="class">
+				<xsl:call-template name="header">
+					<xsl:with-param name="toc" select="$pointer" />
+					<xsl:with-param name="minimal">
+						false
+					</xsl:with-param>
+					<xsl:with-param name="display">
+						plain
+					</xsl:with-param>
+				</xsl:call-template>
+				<xsl:if test="$thislevel &lt; $Depth">
+					<xsl:call-template name="continuedToc" />
+				</xsl:if>
+			</li>
+		</xsl:if>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element ab</desc>
+	</doc>
+	<xsl:template match="tei:ab">
+		<xsl:choose>
+			<xsl:when
+				test="ancestor::tei:head or parent::tei:title or parent::tei:stage">
+				<xsl:apply-templates />
+				<xsl:if test="following-sibling::tei:ab">
+					<br />
+				</xsl:if>
+			</xsl:when>
+			<xsl:when test="parent::tei:sp">
+				<div>
+					<xsl:call-template name="rendToClass">
+						<xsl:with-param name="default">
+							spProse
+						</xsl:with-param>
+					</xsl:call-template>
+					<xsl:apply-templates />
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<div>
+					<xsl:call-template name="rendToClass" />
+					<xsl:apply-templates />
+				</div>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element addrLine</desc>
+	</doc>
+	<xsl:template match="tei:addrLine">
+		<xsl:apply-templates />
+		<br />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element address</desc>
+	</doc>
+	<xsl:template match="tei:address">
+		<address>
+			<xsl:call-template name="rendToClass" />
+			<xsl:apply-templates />
+		</address>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element argument</desc>
+	</doc>
+	<xsl:template match="tei:argument">
+		<div class="argument">
+			<xsl:apply-templates />
+		</div>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element author</desc>
+	</doc>
+	<xsl:template match="tei:author">
+		<span>
+			<xsl:call-template name="rendToClass" />
+			<xsl:apply-imports />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element bibl</desc>
+	</doc>
+	<xsl:template match="tei:bibl">
+		<xsl:choose>
+			<xsl:when
+				test="parent::tei:q/parent::tei:head or parent::tei:q[@rend='inline']">
+				<span class="citbibl">
+					<xsl:apply-templates />
+				</span>
+			</xsl:when>
+			<xsl:when test="parent::tei:cit | parent::tei:q">
+				<div class="citbibl">
+					<xsl:apply-templates />
+				</div>
+			</xsl:when>
+			<xsl:when test="tei:blockContext(.)">
+				<div class="biblfree">
+					<xsl:apply-templates />
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<span>
+					<xsl:attribute name="class">
             <xsl:text>bibl</xsl:text>
             <xsl:if test="@type">
               <xsl:text> bibl-</xsl:text>
-              <xsl:value-of select="@type"/>
+              <xsl:value-of select="@type" />
             </xsl:if>
           </xsl:attribute>
-          <xsl:apply-templates/>
-        </span>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element change</desc>
-  </doc>
-  <xsl:template match="tei:change">
-    <tr>
-      <td style="vertical-align:top;" width="15%">
-        <xsl:value-of select="tei:date"/>
-      </td>
-      <td width="85%">
-        <xsl:value-of select="tei:item"/>
-      </td>
-    </tr>
-  </xsl:template>
+					<xsl:apply-templates />
+				</span>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element change</desc>
+	</doc>
+	<xsl:template match="tei:change">
+		<tr>
+			<td style="vertical-align:top;" width="15%">
+				<xsl:value-of select="tei:date" />
+			</td>
+			<td width="85%">
+				<xsl:value-of select="tei:item" />
+			</td>
+		</tr>
+	</xsl:template>
 
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element choice</desc>
-  </doc>
-  <xsl:template match="tei:choice">
-    <xsl:choose>
-      <xsl:when test="tei:abbr and tei:expan">
-        <xsl:apply-templates select="tei:expan"/>
-        <xsl:text> (</xsl:text>
-        <xsl:apply-templates select="tei:abbr"/>
-        <xsl:text>)</xsl:text>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:apply-templates/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element choice in plain mode - selects "critical" reading.</desc>
-  </doc>
-  <xsl:template match="tei:choice" mode="plain">
-    <xsl:value-of select="tei:reg"/>
-    <xsl:value-of select="tei:expan"/>
-    <xsl:value-of select="tei:corr"/>
-    <xsl:apply-templates select="tei:choice"/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element choice</desc>
-  </doc>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>
-      <p>Process element cit</p>
-      <p>
-        <p xmlns="http://www.w3.org/1999/xhtml"> quoting </p>
-      </p>
-    </desc>
-  </doc>
-  <xsl:template match="tei:cit">
-    <xsl:choose>
-      <xsl:when test="@rend='display' and tei:quote">
-        <div>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:if test="@n">
-            <xsl:text>(</xsl:text>
-            <xsl:value-of select="@n"/>
-            <xsl:text>) </xsl:text>
-          </xsl:if>
-          <xsl:apply-templates select="tei:q|tei:quote"/>
-          <xsl:apply-templates select="tei:*[not(self::tei:q or self::tei:quote)]"/>
-        </div>
-      </xsl:when>
-      <xsl:when test="@rend='display'">
-        <blockquote>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:variable name="contents">
-            <xsl:if test="@n">
-              <xsl:text>(</xsl:text>
-              <xsl:value-of select="@n"/>
-              <xsl:text>) </xsl:text>
-            </xsl:if>
-            <xsl:apply-templates select="tei:q|tei:quote"/>
-            <xsl:apply-templates select="tei:*[not(self::tei:q or self::tei:quote)]"/>
-          </xsl:variable>
-          <xsl:choose>
-            <xsl:when test="$outputTarget='html5'">
-              <xsl:copy-of select="$contents"/>
-            </xsl:when>
-            <xsl:otherwise>
-              <p>
-                <xsl:copy-of select="$contents"/>
-              </p>
-            </xsl:otherwise>
-          </xsl:choose>
-        </blockquote>
-      </xsl:when>
-      <xsl:when test="tei:bibl">
-        <div>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:if test="@n">
-            <xsl:text>(</xsl:text>
-            <xsl:value-of select="@n"/>
-            <xsl:text>) </xsl:text>
-          </xsl:if>
-          <xsl:apply-templates/>
-        </div>
-      </xsl:when>
-      <xsl:otherwise>
-        <span>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:if test="@n">
-            <xsl:text>(</xsl:text>
-            <xsl:value-of select="@n"/>
-            <xsl:text>) </xsl:text>
-          </xsl:if>
-          <xsl:apply-templates/>
-        </span>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element code</desc>
-  </doc>
-  <xsl:template match="tei:code">
-    <code>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:apply-templates/>
-    </code>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>
-    Does not do anything yet.
-  </desc>
-  </doc>
-  <xsl:template match="tei:corr">
-    <xsl:apply-templates/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Decorate date</desc>
-  </doc>
-  <xsl:template match="tei:date">
-    <span>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:apply-imports/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>The del element</desc>
-  </doc>
-  <xsl:template match="tei:del">
-    <del>
-      <xsl:apply-templates/>
-    </del>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element eg</desc>
-  </doc>
-  <xsl:template match="tei:eg">
-    <div>
-      <xsl:if test="$cssFile">
-        <xsl:attribute name="class">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element choice</desc>
+	</doc>
+	<xsl:template match="tei:choice">
+		<xsl:choose>
+			<xsl:when test="tei:abbr and tei:expan">
+				<xsl:apply-templates select="tei:expan" />
+				<xsl:text> (</xsl:text>
+				<xsl:apply-templates select="tei:abbr" />
+				<xsl:text>)</xsl:text>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:apply-templates />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element choice in plain mode - selects "critical"
+			reading.</desc>
+	</doc>
+	<xsl:template match="tei:choice" mode="plain">
+		<xsl:value-of select="tei:reg" />
+		<xsl:value-of select="tei:expan" />
+		<xsl:value-of select="tei:corr" />
+		<xsl:apply-templates select="tei:choice" />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element choice</desc>
+	</doc>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			<p>Process element cit</p>
+			<p>
+				<p xmlns="http://www.w3.org/1999/xhtml"> quoting </p>
+			</p>
+		</desc>
+	</doc>
+	<xsl:template match="tei:cit">
+		<xsl:choose>
+			<xsl:when test="@rend='display' and tei:quote">
+				<div>
+					<xsl:call-template name="rendToClass" />
+					<xsl:if test="@n">
+						<xsl:text>(</xsl:text>
+						<xsl:value-of select="@n" />
+						<xsl:text>) </xsl:text>
+					</xsl:if>
+					<xsl:apply-templates select="tei:q|tei:quote" />
+					<xsl:apply-templates
+						select="tei:*[not(self::tei:q or self::tei:quote)]" />
+				</div>
+			</xsl:when>
+			<xsl:when test="@rend='display'">
+				<blockquote>
+					<xsl:call-template name="rendToClass" />
+					<xsl:variable name="contents">
+						<xsl:if test="@n">
+							<xsl:text>(</xsl:text>
+							<xsl:value-of select="@n" />
+							<xsl:text>) </xsl:text>
+						</xsl:if>
+						<xsl:apply-templates select="tei:q|tei:quote" />
+						<xsl:apply-templates
+							select="tei:*[not(self::tei:q or self::tei:quote)]" />
+					</xsl:variable>
+					<xsl:choose>
+						<xsl:when test="$outputTarget='html5'">
+							<xsl:copy-of select="$contents" />
+						</xsl:when>
+						<xsl:otherwise>
+							<p>
+								<xsl:copy-of select="$contents" />
+							</p>
+						</xsl:otherwise>
+					</xsl:choose>
+				</blockquote>
+			</xsl:when>
+			<xsl:when test="tei:bibl">
+				<div>
+					<xsl:call-template name="rendToClass" />
+					<xsl:if test="@n">
+						<xsl:text>(</xsl:text>
+						<xsl:value-of select="@n" />
+						<xsl:text>) </xsl:text>
+					</xsl:if>
+					<xsl:apply-templates />
+				</div>
+			</xsl:when>
+			<xsl:otherwise>
+				<span>
+					<xsl:call-template name="rendToClass" />
+					<xsl:if test="@n">
+						<xsl:text>(</xsl:text>
+						<xsl:value-of select="@n" />
+						<xsl:text>) </xsl:text>
+					</xsl:if>
+					<xsl:apply-templates />
+				</span>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element code</desc>
+	</doc>
+	<xsl:template match="tei:code">
+		<code>
+			<xsl:call-template name="rendToClass" />
+			<xsl:apply-templates />
+		</code>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			Does not do anything yet.
+		</desc>
+	</doc>
+	<xsl:template match="tei:corr">
+		<xsl:apply-templates />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Decorate date</desc>
+	</doc>
+	<xsl:template match="tei:date">
+		<span>
+			<xsl:call-template name="rendToClass" />
+			<xsl:apply-imports />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>The del element</desc>
+	</doc>
+	<xsl:template match="tei:del">
+		<del>
+			<xsl:apply-templates />
+		</del>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element eg</desc>
+	</doc>
+	<xsl:template match="tei:eg">
+		<div>
+			<xsl:if test="$cssFile">
+				<xsl:attribute name="class">
           <xsl:text>pre_eg</xsl:text>
           <xsl:if test="not(*)">
             <xsl:text> cdata</xsl:text>
           </xsl:if>
         </xsl:attribute>
-      </xsl:if>
-      <xsl:apply-templates/>
-    </div>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element emph</desc>
-  </doc>
-  <xsl:template match="tei:emph">
-    <xsl:choose>
-      <xsl:when test="@rend">
-        <xsl:call-template name="rendering"/>
-      </xsl:when>
-      <xsl:when test="@rendition">
-        <span>
-	  <xsl:call-template name="applyRendition"/>
-        </span>
-      </xsl:when>
-      <xsl:otherwise>
-        <em>
-          <xsl:apply-templates/>
-        </em>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element epigraph</desc>
-  </doc>
-  <xsl:template match="tei:epigraph">
-    <div>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:apply-templates/>
-    </div>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element epigraph/lg</desc>
-  </doc>
-  <xsl:template match="tei:epigraph/tei:lg">
-    <xsl:apply-templates/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element foreign and unclear</desc>
-  </doc>
-  <xsl:template match="tei:foreign|tei:unclear">
-    <span>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:apply-templates/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element caesura</desc>
-  </doc>
-  <xsl:template match="tei:caesura">
-    <span class="caesura">    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element gap</desc>
-  </doc>
-  <xsl:template match="tei:gap">
-    <xsl:element name="{if (tei:blockContext(.)) then 'div' else 'span'}">
-      <xsl:attribute name="class">gap</xsl:attribute>
-      <xsl:if test="tei:desc">
-        <xsl:attribute name="title">
-          <xsl:value-of select="tei:desc"/>
+			</xsl:if>
+			<xsl:apply-templates />
+		</div>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element emph</desc>
+	</doc>
+	<xsl:template match="tei:emph">
+		<xsl:choose>
+			<xsl:when test="@rend">
+				<xsl:call-template name="rendering" />
+			</xsl:when>
+			<xsl:when test="@rendition">
+				<span>
+					<xsl:call-template name="applyRendition" />
+				</span>
+			</xsl:when>
+			<xsl:otherwise>
+				<em>
+					<xsl:apply-templates />
+				</em>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element epigraph</desc>
+	</doc>
+	<xsl:template match="tei:epigraph">
+		<div>
+			<xsl:call-template name="rendToClass" />
+			<xsl:apply-templates />
+		</div>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element epigraph/lg</desc>
+	</doc>
+	<xsl:template match="tei:epigraph/tei:lg">
+		<xsl:apply-templates />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element foreign and unclear</desc>
+	</doc>
+	<xsl:template match="tei:foreign|tei:unclear">
+		<span>
+			<xsl:call-template name="rendToClass" />
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element caesura</desc>
+	</doc>
+	<xsl:template match="tei:caesura">
+		<span class="caesura">    </span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element gap</desc>
+	</doc>
+	<xsl:template match="tei:gap">
+		<xsl:element
+			name="{if (tei:blockContext(.)) then 'div' else 'span'}">
+			<xsl:attribute name="class">gap</xsl:attribute>
+			<xsl:if test="tei:desc">
+				<xsl:attribute name="title">
+          <xsl:value-of select="tei:desc" />
         </xsl:attribute>
-      </xsl:if>
-      <xsl:choose>
-        <xsl:when test="starts-with(@rend,'content:')">
-          <xsl:value-of select="substring-after(@rend,'content:')"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:text> [...]</xsl:text>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:element>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>
-      <p>Process element att</p>
-      <p>
-        <p xmlns="http://www.w3.org/1999/xhtml"> special purpose </p>
-      </p>
-    </desc>
-  </doc>
-  <xsl:template match="tei:att">
-    <span class="gi">
-      <b>@<xsl:apply-templates/>
-         </b>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process gloss element</desc>
-  </doc>
-  <xsl:template match="tei:gloss">
-    <span class="gloss">
-      <xsl:apply-templates/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>
-      <p>Process element head</p>
-      <p xmlns="http://www.w3.org/1999/xhtml"> headings etc </p>
-    </desc>
-  </doc>
-  <xsl:template match="tei:head">
-    <xsl:variable name="parent" select="local-name(..)"/>
-    <xsl:choose>
-      <xsl:when test="parent::tei:group or parent::tei:body or parent::tei:front or parent::tei:back">
-        <h1>
-          <xsl:apply-templates/>
-        </h1>
-      </xsl:when>
-      <xsl:when test="parent::tei:argument">
-        <div>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:apply-templates/>
-        </div>
-      </xsl:when>
-      <xsl:when test="not(starts-with($parent,'div'))">
-        <xsl:apply-templates/>
-      </xsl:when>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element head in plain mode</desc>
-  </doc>
-  <xsl:template match="tei:head" mode="plain">
-    <xsl:if test="preceding-sibling::tei:head">
-      <xsl:text> </xsl:text>
-    </xsl:if>
-    <xsl:apply-templates mode="plain"/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element head in heading mode</desc>
-  </doc>
-  <xsl:template match="tei:head" mode="makeheading">
-    <xsl:if test="preceding-sibling::tei:head">
-      <br/>
-    </xsl:if>
-    <span>
-      <xsl:call-template name="rendToClass">
-        <xsl:with-param name="id">false</xsl:with-param>
-      </xsl:call-template>
-      <xsl:apply-templates/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element hi</desc>
-  </doc>
-  <xsl:template match="tei:hi">
-    <xsl:choose>
-      <xsl:when test="@rend">
-        <xsl:call-template name="rendering"/>
-      </xsl:when>
-      <xsl:when test="@rendition">
-        <span>
-          <xsl:call-template name="applyRendition"/>
-          <xsl:apply-templates/>
-        </span>
-      </xsl:when>
-      <xsl:when test="key('TAGREND','hi')">
-        <span>
-          <xsl:attribute name="class">
-            <xsl:for-each select="key('TAGREND',local-name())">
+			</xsl:if>
+			<xsl:choose>
+				<xsl:when test="starts-with(@rend,'content:')">
+					<xsl:value-of
+						select="substring-after(@rend,'content:')" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:text> [...]</xsl:text>
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:element>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			<p>Process element att</p>
+			<p>
+				<p xmlns="http://www.w3.org/1999/xhtml"> special purpose </p>
+			</p>
+		</desc>
+	</doc>
+	<xsl:template match="tei:att">
+		<span class="gi">
+			<b>
+				@
+				<xsl:apply-templates />
+			</b>
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process gloss element</desc>
+	</doc>
+	<xsl:template match="tei:gloss">
+		<span class="gloss">
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>
+			<p>Process element head</p>
+			<p xmlns="http://www.w3.org/1999/xhtml"> headings etc </p>
+		</desc>
+	</doc>
+	<xsl:template match="tei:head">
+		<xsl:variable name="parent" select="local-name(..)" />
+		<xsl:choose>
+			<xsl:when
+				test="parent::tei:group or parent::tei:body or parent::tei:front or parent::tei:back">
+				<h1>
+					<xsl:apply-templates />
+				</h1>
+			</xsl:when>
+			<xsl:when test="parent::tei:argument">
+				<div>
+					<xsl:call-template name="rendToClass" />
+					<xsl:apply-templates />
+				</div>
+			</xsl:when>
+			<xsl:when test="not(starts-with($parent,'div'))">
+				<xsl:apply-templates />
+			</xsl:when>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element head in plain mode</desc>
+	</doc>
+	<xsl:template match="tei:head" mode="plain">
+		<xsl:if test="preceding-sibling::tei:head">
+			<xsl:text> </xsl:text>
+		</xsl:if>
+		<xsl:apply-templates mode="plain" />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element head in heading mode</desc>
+	</doc>
+	<xsl:template match="tei:head" mode="makeheading">
+		<xsl:if test="preceding-sibling::tei:head">
+			<br />
+		</xsl:if>
+		<span>
+			<xsl:call-template name="rendToClass">
+				<xsl:with-param name="id">
+					false
+				</xsl:with-param>
+			</xsl:call-template>
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element hi</desc>
+	</doc>
+	<xsl:template match="tei:hi">
+		<xsl:choose>
+			<xsl:when test="@rend">
+				<xsl:call-template name="rendering" />
+			</xsl:when>
+			<xsl:when test="@rendition">
+				<span>
+					<xsl:call-template name="applyRendition" />
+					<xsl:apply-templates />
+				</span>
+			</xsl:when>
+			<xsl:when test="key('TAGREND','hi')">
+				<span>
+					<xsl:attribute name="class">
+            <xsl:for-each
+						select="key('TAGREND',local-name())">
               <xsl:call-template name="findRendition">
                 <xsl:with-param name="value">
-                  <xsl:value-of select="@render"/>
+                  <xsl:value-of select="@render" />
                 </xsl:with-param>
               </xsl:call-template>
             </xsl:for-each>
           </xsl:attribute>
-          <xsl:apply-templates/>
-        </span>
-      </xsl:when>
-      <xsl:otherwise>
-        <span class="hi">
-          <xsl:apply-templates/>
-        </span>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element item</desc>
-  </doc>
-  <xsl:template match="tei:item" mode="bibl">
-    <p>
-      <xsl:call-template name="makeAnchor"/>
-      <xsl:apply-templates/>
-    </p>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element item</desc>
-  </doc>
-  <xsl:template match="tei:item" mode="glosstable">
-    <tr>
-      <td style="vertical-align:top;">
-        <strong>
-          <xsl:apply-templates mode="print" select="preceding-sibling::tei:*[1]"/>
-        </strong>
-      </td>
-      <td>
-        <xsl:call-template name="makeAnchor"/>
-        <xsl:apply-templates/>
-      </td>
-    </tr>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element item</desc>
-  </doc>
-  <xsl:template match="tei:item" mode="gloss">
-    <dt>
-      <xsl:call-template name="makeAnchor"/>
-      <xsl:apply-templates mode="print" select="preceding-sibling::tei:label[1]"/>
-    </dt>
-    <dd>
-      <xsl:apply-templates/>
-    </dd>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element item</desc>
-  </doc>
-  <xsl:template match="tei:item">
-    <li>
-      <xsl:call-template name="rendToClass"/>
-      <xsl:choose>
-        <xsl:when test="@xml:id">
-          <xsl:call-template name="makeAnchor">
-            <xsl:with-param name="name">
-              <xsl:value-of select="@xml:id"/>
-            </xsl:with-param>
-          </xsl:call-template>
-        </xsl:when>
-        <xsl:when test="$generateParagraphIDs='true'">
-          <xsl:call-template name="makeAnchor">
-            <xsl:with-param name="name">
-              <xsl:value-of select="generate-id()"/>
-            </xsl:with-param>
-          </xsl:call-template>
-        </xsl:when>
-      </xsl:choose>
-      <xsl:apply-templates/>
-    </li>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element item</desc>
-  </doc>
-  <xsl:template match="tei:item" mode="inline">
-    <xsl:if test="preceding-sibling::tei:item">, </xsl:if>
-    <xsl:if test="not(following-sibling::tei:item) and preceding-sibling::tei:item">
-      and </xsl:if>
-    <xsl:text>• </xsl:text>
-    <xsl:apply-templates/>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element item/tei:label</desc>
-  </doc>
-  <xsl:template match="tei:item/tei:label">
-    <xsl:choose>
-      <xsl:when test="@rend">
-        <xsl:call-template name="rendering"/>
-      </xsl:when>
-      <xsl:when test="@rendition">
-        <span>
-          <xsl:call-template name="applyRendition"/>
-          <xsl:apply-templates/>
-        </span>
-      </xsl:when>
-      <xsl:otherwise>
-        <strong>
-          <xsl:apply-templates/>
-        </strong>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element label</desc>
-  </doc>
-  <xsl:template match="tei:label">
-    <span>
-      <xsl:call-template name="makeAnchor"/>
-      <xsl:apply-templates/>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element label</desc>
-  </doc>
-  <xsl:template match="tei:label" mode="print">
-    <span>
-      <xsl:call-template name="makeAnchor"/>
-      <xsl:choose>
-        <xsl:when test="@rend">
-          <xsl:call-template name="rendering"/>
-        </xsl:when>
-        <xsl:when test="@rendition">
-          <span>
-            <xsl:call-template name="applyRendition"/>
-            <xsl:apply-templates/>
-          </span>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:apply-templates/>
-        </xsl:otherwise>
-      </xsl:choose>
-    </span>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element lb in plain mode</desc>
-  </doc>
-  <xsl:template match="tei:lb" mode="plain">
-    <xsl:text> </xsl:text>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element lb</desc>
-  </doc>
-  <xsl:template match="tei:lb">
-    <xsl:choose>
-      <xsl:when test="parent::tei:body"/>
-      <xsl:when test="parent::tei:back"/>
-      <xsl:when test="parent::tei:front"/>
-      <xsl:when test="@type='hyphenInWord' and @rend='hidden'"/>
-      <xsl:when test="@rend='hidden'">
-        <xsl:text> </xsl:text>
-      </xsl:when>
-      <xsl:when test="@rend='-' or @type='hyphenInWord'">
-        <xsl:text>-</xsl:text>
-        <br/>
-      </xsl:when>
-      <xsl:when test="@rend='above'">
-        <xsl:text>⌜</xsl:text>
-      </xsl:when>
-      <xsl:when test="@rend='below'">
-        <xsl:text>⌞</xsl:text>
-      </xsl:when>
-      <xsl:when test="@rend">
-        <br class="{@rend}"/>
-      </xsl:when>
-      <xsl:otherwise>
-        <br/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element l</desc>
-  </doc>
-  <xsl:template match="tei:l">
-    <xsl:element name="{if (ancestor::tei:head or ancestor::tei:hi) then 'span' else 'div'}">
-      <xsl:call-template name="rendToClass">
-        <xsl:with-param name="default">l</xsl:with-param>
-      </xsl:call-template>
-      <xsl:choose>
-        <xsl:when test="ancestor::tei:div[contains(@rend,'linenumber')]">
-          <xsl:variable name="n">
-            <xsl:number/>
-          </xsl:variable>
-          <div class="numbering">
+					<xsl:apply-templates />
+				</span>
+			</xsl:when>
+			<xsl:otherwise>
+				<span class="hi">
+					<xsl:apply-templates />
+				</span>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element item</desc>
+	</doc>
+	<xsl:template match="tei:item" mode="bibl">
+		<p>
+			<xsl:call-template name="makeAnchor" />
+			<xsl:apply-templates />
+		</p>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element item</desc>
+	</doc>
+	<xsl:template match="tei:item" mode="glosstable">
+		<tr>
+			<td style="vertical-align:top;">
+				<strong>
+					<xsl:apply-templates mode="print"
+						select="preceding-sibling::tei:*[1]" />
+				</strong>
+			</td>
+			<td>
+				<xsl:call-template name="makeAnchor" />
+				<xsl:apply-templates />
+			</td>
+		</tr>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element item</desc>
+	</doc>
+	<xsl:template match="tei:item" mode="gloss">
+		<dt>
+			<xsl:call-template name="makeAnchor" />
+			<xsl:apply-templates mode="print"
+				select="preceding-sibling::tei:label[1]" />
+		</dt>
+		<dd>
+			<xsl:apply-templates />
+		</dd>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element item</desc>
+	</doc>
+	<xsl:template match="tei:item">
+		<li>
+			<xsl:call-template name="rendToClass" />
+			<xsl:choose>
+				<xsl:when test="@xml:id">
+					<xsl:call-template name="makeAnchor">
+						<xsl:with-param name="name">
+							<xsl:value-of select="@xml:id" />
+						</xsl:with-param>
+					</xsl:call-template>
+				</xsl:when>
+				<xsl:when test="$generateParagraphIDs='true'">
+					<xsl:call-template name="makeAnchor">
+						<xsl:with-param name="name">
+							<xsl:value-of select="generate-id()" />
+						</xsl:with-param>
+					</xsl:call-template>
+				</xsl:when>
+			</xsl:choose>
+			<xsl:apply-templates />
+		</li>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element item</desc>
+	</doc>
+	<xsl:template match="tei:item" mode="inline">
+		<xsl:if test="preceding-sibling::tei:item">
+			,
+		</xsl:if>
+		<xsl:if
+			test="not(following-sibling::tei:item) and preceding-sibling::tei:item">
+			and
+		</xsl:if>
+		<xsl:text>• </xsl:text>
+		<xsl:apply-templates />
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element item/tei:label</desc>
+	</doc>
+	<xsl:template match="tei:item/tei:label">
+		<xsl:choose>
+			<xsl:when test="@rend">
+				<xsl:call-template name="rendering" />
+			</xsl:when>
+			<xsl:when test="@rendition">
+				<span>
+					<xsl:call-template name="applyRendition" />
+					<xsl:apply-templates />
+				</span>
+			</xsl:when>
+			<xsl:otherwise>
+				<strong>
+					<xsl:apply-templates />
+				</strong>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element label</desc>
+	</doc>
+	<xsl:template match="tei:label">
+		<span>
+			<xsl:call-template name="makeAnchor" />
+			<xsl:apply-templates />
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element label</desc>
+	</doc>
+	<xsl:template match="tei:label" mode="print">
+		<span>
+			<xsl:call-template name="makeAnchor" />
+			<xsl:choose>
+				<xsl:when test="@rend">
+					<xsl:call-template name="rendering" />
+				</xsl:when>
+				<xsl:when test="@rendition">
+					<span>
+						<xsl:call-template name="applyRendition" />
+						<xsl:apply-templates />
+					</span>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:apply-templates />
+				</xsl:otherwise>
+			</xsl:choose>
+		</span>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element lb in plain mode</desc>
+	</doc>
+	<xsl:template match="tei:lb" mode="plain">
+		<xsl:text> </xsl:text>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element lb</desc>
+	</doc>
+	<xsl:template match="tei:lb">
+		<xsl:choose>
+			<xsl:when test="parent::tei:body" />
+			<xsl:when test="parent::tei:back" />
+			<xsl:when test="parent::tei:front" />
+			<xsl:when test="@type='hyphenInWord' and @rend='hidden'" />
+			<xsl:when test="@rend='hidden'">
+				<xsl:text> </xsl:text>
+			</xsl:when>
+			<xsl:when test="@rend='-' or @type='hyphenInWord'">
+				<xsl:text>-</xsl:text>
+				<br />
+			</xsl:when>
+			<xsl:when test="@rend='above'">
+				<xsl:text>⌜</xsl:text>
+			</xsl:when>
+			<xsl:when test="@rend='below'">
+				<xsl:text>⌞</xsl:text>
+			</xsl:when>
+			<xsl:when test="@rend">
+				<br class="{@rend}" />
+			</xsl:when>
+			<xsl:otherwise>
+				<br />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element l</desc>
+	</doc>
+	<xsl:template match="tei:l">
+		<xsl:element
+			name="{if (ancestor::tei:head or ancestor::tei:hi) then 'span' else 'div'}">
+			<xsl:call-template name="rendToClass">
+				<xsl:with-param name="default">
+					l
+				</xsl:with-param>
+			</xsl:call-template>
+			<xsl:choose>
+				<xsl:when
+					test="ancestor::tei:div[contains(@rend,'linenumber')]">
+					<xsl:variable name="n">
+						<xsl:number />
+					</xsl:variable>
+					<div class="numbering">
+						<xsl:choose>
+							<xsl:when test="$n mod 5 = 0">
+								<xsl:value-of select="$n" />
+							</xsl:when>
+							<xsl:otherwise>
+								 
+							</xsl:otherwise>
+						</xsl:choose>
+					</div>
+					<xsl:apply-templates />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:apply-templates />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:element>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element lg</desc>
+	</doc>
+	<xsl:template match="tei:lg">
+		<xsl:choose>
+			<xsl:when test="$filePerPage='true'">
+				<xsl:for-each-group select="node()"
+					group-starting-with="tei:pb">
+					<xsl:choose>
+						<xsl:when test="self::tei:pb">
+							<xsl:apply-templates select="." />
+							<div>
+								<xsl:for-each select="..">
+									<xsl:call-template name="rendToClass">
+										<xsl:with-param name="id">
+											<xsl:choose>
+												<xsl:when test="@xml:id">
+													<xsl:value-of select="@xml:id" />
+													<xsl:text>continued</xsl:text>
+												</xsl:when>
+												<xsl:otherwise>
+													<xsl:text>false</xsl:text>
+												</xsl:otherwise>
+											</xsl:choose>
+										</xsl:with-param>
+									</xsl:call-template>
+								</xsl:for-each>
+								<xsl:apply-templates
+									select="current-group() except ." />
+							</div>
+						</xsl:when>
+						<xsl:otherwise>
+							<div>
+								<xsl:for-each select="..">
+									<xsl:call-template name="rendToClass" />
+								</xsl:for-each>
+								<xsl:apply-templates
+									select="current-group()" />
+							</div>
+						</xsl:otherwise>
+					</xsl:choose>
+				</xsl:for-each-group>
+			</xsl:when>
+			<xsl:otherwise>
+				<div>
+					<xsl:call-template name="rendToClass" />
+					<xsl:apply-templates />
+				</div>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>Process element lg/tei:l</desc>
+	</doc>
+	<xsl:template match="tei:lg/tei:l">
+		<div>
+			<xsl:choose>
+				<xsl:when test="@rend">
+					<xsl:attribute name="class">
             <xsl:choose>
-              <xsl:when test="$n mod 5 = 0">
-                <xsl:value-of select="$n"/>
-              </xsl:when>
-              <xsl:otherwise> </xsl:otherwise>
-            </xsl:choose>
-          </div>
-          <xsl:apply-templates/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:apply-templates/>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:element>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element lg</desc>
-  </doc>
-  <xsl:template match="tei:lg">
-    <xsl:choose>
-      <xsl:when test="$filePerPage='true'">
-        <xsl:for-each-group select="node()" group-starting-with="tei:pb">
-          <xsl:choose>
-            <xsl:when test="self::tei:pb">
-              <xsl:apply-templates select="."/>
-              <div>
-                <xsl:for-each select="..">
-                  <xsl:call-template name="rendToClass">
-                    <xsl:with-param name="id">
-                      <xsl:choose>
-                        <xsl:when test="@xml:id">
-                          <xsl:value-of select="@xml:id"/>
-                          <xsl:text>continued</xsl:text>
-                        </xsl:when>
-                        <xsl:otherwise>
-                          <xsl:text>false</xsl:text>
-                        </xsl:otherwise>
-                      </xsl:choose>
-                    </xsl:with-param>
-                  </xsl:call-template>
-                </xsl:for-each>
-                <xsl:apply-templates select="current-group() except ."/>
-              </div>
-            </xsl:when>
-            <xsl:otherwise>
-              <div>
-                <xsl:for-each select="..">
-                  <xsl:call-template name="rendToClass"/>
-                </xsl:for-each>
-                <xsl:apply-templates select="current-group()"/>
-              </div>
-            </xsl:otherwise>
-          </xsl:choose>
-        </xsl:for-each-group>
-      </xsl:when>
-      <xsl:otherwise>
-        <div>
-          <xsl:call-template name="rendToClass"/>
-          <xsl:apply-templates/>
-        </div>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>Process element lg/tei:l</desc>
-  </doc>
-  <xsl:template match="tei:lg/tei:l">
-    <div>
-      <xsl:choose>
-        <xsl:when test="@rend">
-          <xsl:attribute name="class">
-            <xsl:choose>
               <xsl:when test="@rend='Alignr'">
                 <xsl:text>right</xsl:text>
               </xsl:when>
